import {VideoDataInterface} from "./video-data.interface";
import {QuestionDataInterface} from "./question-data.interface";
import {ImageDataInterface} from "./image-data.interface";
import {HTMLDataInterface} from "./html-data.interface";

export interface CollectionDataInterface {
    uuid: string;
    elements: CollectionElementDataInterface[];
}

export type CollectionElementsTypes = "QUESTION" | "IMAGE" | "HTML";

export const collectionElementsTypes = {
    QUESTION: "QUESTION" as CollectionElementsTypes,
    IMAGE: "IMAGE" as CollectionElementsTypes,
    HTML: "HTML" as CollectionElementsTypes
};

// Данные вопроса
//
export interface CollectionElementDataInterface {
    uuid: string;
    type: CollectionElementsTypes;
    title?: string;
    question?: QuestionDataInterface;
    video?: VideoDataInterface;
    image?: ImageDataInterface;
    html?: HTMLDataInterface;
    hidden: boolean; // TODO: Не используется
}